/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.hibernate.timers;

import java.io.Serializable;
import java.util.Date;

/**
 The ejb timers table object mapping
 
 @author Scott.Stark@jboss.org
 @version $Revision: 1.1 $
 */
public class Timers implements Serializable
{
   private static final long serialVersionUID = 1L;

   private TimersID id;
   private Date initialDate;
   private Long timerInterval;
   private byte[] instancePK;
   private byte[] info;

   public Timers()
   {
   }
   public Timers(TimersID id)
   {
      this.id = id;
   }

   public TimersID getId()
   {
      return this.id;
   }
   public void setId(TimersID id)
   {
      this.id = id;
   }

   public Date getInitialDate()
   {
      return initialDate;
   }
   public void setInitialDate(Date initialDate)
   {
      this.initialDate = initialDate;
   }

   public Long getTimerInterval()
   {
      return timerInterval;
   }
   public void setTimerInterval(Long timerInterval)
   {
      this.timerInterval = timerInterval;
   }

   public byte[] getInstancePK()
   {
      return instancePK;
   }
   public void setInstancePK(byte[] instancePK)
   {
      this.instancePK = instancePK;
   }

   public byte[] getInfo()
   {
      return this.info;
   }
   public void setInfo(byte[] info)
   {
      this.info = info;
   }

}
